A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Topics | Typedefs
Random Number Generation
ArrayFire Functions by Category » Functions to create and modify Arrays » Functions to create arrays.

Random Number Generation Functions More...

## Data Structures
class | randomEngine
| C++ Interface - Random Number Generation Engine Class. More...

## Topics
| getDefaultRandomEngine
| Returns the default random engine object.
| getSeed
| Returns the seed for random number generation.
| randn
| Create a random array sampled from normal distribution.
| randomEngine
| Functions to create, modify, use, and destroy randomEngine objects.
| randu
| Create a random array sampled from uniform distribution.
| setDefaultRandomEngineType
| Set the default random engine type.
| setSeed
| Set the seed for random number generation.

## Typedefs
typedef void * | af_random_engine
| Handle for a random engine object.

## Detailed Description

Random Number Generation Functions

Functions to generate and manage random numbers and random number engines.

## Typedef Documentation

## ◆ af_random_engine

typedef void* af_random_engine

Handle for a random engine object.

This handle is used to reference the internal random engine object.

Definition at line 19 of file random.h.